Draft AddPoint/jp

From FreeCAD Documentation
Jump to: navigation, search

Draft AddPoint.svg {{{Name/jp}}}

メニュー位置
Draft -> Add Point
ワークベンチ
製図, 建築
デフォルトのショートカット
None
参照
None


説明

このツールを使うとワイヤーB-スプラインに点を追加することができます。

使用方法

  1. ワイヤーまたはB-スプラインを選択します
  2. Draft AddPoint.png Draft AddPointボタンを押します
  3. 3Dビュー上の点をクリックするか、座標を入力します

オプション

  • この機能はDraft Edit.png Draft Editツールからも利用できます。

スクリプト処理

ワイヤーB-スプラインへの点の追加が簡単に利用できます。例えば以下のようにします。

import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
points.append(FreeCAD.Vector(2,2,0))
FreeCAD.ActiveDocument.ActiveObjects.Points = points
ご利用可能な言語: Flag-en.jpg Flag-es.jpg Flag-fr.jpg Flag-it.jpg